#include <iostream>

using namespace std;

bool provera(int *n, long long int *m, int *k, int i)
{
    if(k[i]==1)
    {
        int j,l=1, t=n[i];
        long long int s=0;
        long long int *a=new long long int(t);
        for(j=0; j<t-1; j++)
        {
            a[j]=l;
            s+=a[j];
            l++;
        }
        a[t-1]=m[i]-s;
        if(a[t-1]>0)
        {
            for(j=0; j<t-1; j++)
                if(a[j]==a[t-1])
                    return false;
            return true;
        }
        else
            return false;
    }
    if(n[i]==k[i])
    {
        int j,l=1;
        long long int s=0;
        int *a=new int(n[i]);
        for(j=0; j<n[i]-1; j++)
        {
            a[j]=l;
            l++;
            s+=a[j];
        }
        if(m[i]-s>0)
            return true;
        else
            return false;
    }
    if(k[i]<n[i])
    {
        int j, l=1, t;
        long long int s=0;
        int *a=new int(k[i]);
        for(j=0; j<k[i]-1; j++)
        {
            a[j]=1;
            s+=a[j];
        }
        a[k[i]-1]=n[i]-s;
        int *b=new int(a[k[i]-1]);
        for(j=0; j<a[k[i]-2]; j++)
        {
            b[j]=l;
            s+=b[j];
			l++;
        }
		t=a[k[i]-2]
        b[t]=m[i]-s;
        if(b[t]>0)
        {
            for(j=0; j<t-1; j++)
                if(b[j]==b[t])
                    return false;
            return true;
        }
        else
            return false;
    }
    return false;
}

int main()
{
    int t,i;
    cin >> t;
    int *n=new int(t);
    long long int *m=new long long int(t);
    int *k=new int(t);
    for(i=0; i<t; i++)
        cin >> n[i] >> m[i] >> k[i];
    for(i=0; i<t; i++)
    {
        if(provera(n,m,k,i))
            cout << "Tak" << endl;
        else
            cout << "Nie" << endl;
    }
    return 0;
}